#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int T;
    cin >> T;

    for(int t = 0; t < T; t++) {
        long long n;
        cin >> n;

        set<long long> products;

        for(long long i = 1; i <= n; i++) {
            long long num = i;
            long long prod = 1;

            while(num > 0) {
                int digit = num % 10;
                prod *= digit;
                num /= 10;
            }
            products.insert(prod);
        }

        cout << products.size() << '\n';
    }

    return 0;
}